Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUFormattedTextFieldBinding

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.jbo.uicli.binding.JUControlBinding
oracle.jbo.uicli.binding.JUCtrlValueBinding
oracle.jbo.uicli.binding.JUCtrlAttrsBinding
oracle.jbo.uicli.jui.JUTextFieldBinding
oracle.jbo.uicli.jui.JUFormattedTextFieldBinding`

All Implemented Interfaces:
  java.awt.event.ActionListener, oracle.adf.model.AttributeBinding, AttributeBinding, ControlBinding, oracle.adf.model.ControlBinding, javax.swing.text.Document, java.util.EventListener, JUCtrlInputValueHandler, JUCtrlValueHandler, java.util.Map, StructureDef

public class JUFormattedTextFieldBinding
extends JUTextFieldBinding

JUI binding for JFormattedTextField

See Also:
  `JUTextFieldBinding`, `JFormattedTextField`

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`ATTR_ATTRIBUTE, ATTR_ATTRIBUTE_DEF, ATTR_ATTRIBUTE_DEFS, ATTR_ATTRIBUTE_VALUE, ATTR_ATTRIBUTE_VALUES, ATTR_ATTRIBUTES, ATTR_DISPLAY_HEIGHT, ATTR_DISPLAY_HINT, ATTR_DISPLAY_WIDTH, ATTR_FORMAT, ATTR_FORMATS, ATTR_INPUT_VALUE, ATTR_LABEL, ATTR_LABELS, ATTR_LABELSET, ATTR_MANDATORY, ATTR_PATH, ATTR_TOOLTIP, ATTR_UPDATEABLE, ATTR_VIEWABLE, mHasInputVal, mInputVal, SEP_LIST_DISPLAY`

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, mInternalGet_KeyResolved, ROW_KEY_STR`

Fields inherited from interface javax.swing.text.Document
`StreamDescriptionProperty, TitleProperty`

Constructor Summary
`JUFormattedTextFieldBinding(javax.swing.JFormattedTextField control, JUIteratorBinding iterBinding, javax.swing.text.DateFormatter dateFormatter, java.lang.String attrName)`
`JUFormattedTextFieldBinding(javax.swing.JFormattedTextField control, JUIteratorBinding iterBinding, javax.swing.text.DefaultFormatter defaultFormatter, java.lang.String attrName)`
`JUFormattedTextFieldBinding(javax.swing.JFormattedTextField control, JUIteratorBinding iterBinding, javax.swing.JFormattedTextField.AbstractFormatterFactory formatterFactory, java.lang.String attrName)` Creates an instance of this binding object that binds a swing JFormattedTextField with an attribute for rows in a given Iterator binding.
`JUFormattedTextFieldBinding(javax.swing.JFormattedTextField control, JUIteratorBinding iterBinding, javax.swing.JFormattedTextField.AbstractFormatterFactory formatterFactory, java.lang.String attrName, oracle.jbo.uicli.jui.JUFormattedTextFieldBinding.Convertor c)`
`JUFormattedTextFieldBinding(javax.swing.JFormattedTextField control, JUIteratorBinding iterBinding, javax.swing.text.MaskFormatter maskFormatter, java.lang.String attrName)`

Method Summary
`static javax.swing.text.Document` | `createAttributeBinding(JUFormBinding formBinding, javax.swing.JFormattedTextField control, javax.swing.text.DateFormatter dateFormatter, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName)`
`static javax.swing.text.Document` | `createAttributeBinding(JUFormBinding formBinding, javax.swing.JFormattedTextField control, javax.swing.JFormattedTextField.AbstractFormatterFactory formatterFactory, oracle.jbo.uicli.jui.JUFormattedTextFieldBinding.Convertor convertor, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName)` This method is used by the JDeveloper designtime wizards for binding a text component with an attribute of rows of a ViewObject/RowIterator.
`static javax.swing.text.Document` | `createAttributeBinding(JUFormBinding formBinding, javax.swing.JFormattedTextField control, javax.swing.JFormattedTextField.AbstractFormatterFactory formatterFactory, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName)`
`static javax.swing.text.Document` | `createAttributeBinding(JUFormBinding formBinding, javax.swing.JFormattedTextField control, javax.swing.JFormattedTextField.AbstractFormatter defaultFormatter, javax.swing.JFormattedTextField.AbstractFormatter displayFormatter, javax.swing.JFormattedTextField.AbstractFormatter editFormatter, javax.swing.JFormattedTextField.AbstractFormatter nullFormatter, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName)`
`static javax.swing.text.Document` | `createAttributeBinding(JUFormBinding formBinding, javax.swing.JFormattedTextField control, javax.swing.JFormattedTextField.AbstractFormatter formatter, oracle.jbo.uicli.jui.JUFormattedTextFieldBinding.Convertor convertor, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName)`
`static javax.swing.text.Document` | `createAttributeBinding(JUFormBinding formBinding, javax.swing.JFormattedTextField control, javax.swing.text.MaskFormatter maskFormatter, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName)`
`static javax.swing.text.Document` | `createAttributeBinding(JUFormBinding formBinding, javax.swing.JFormattedTextField control, javax.swing.text.NumberFormatter numberFormatter, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String attrName)`
`protected oracle.jbo.uicli.jui.JUFormattedTextFieldBinding.Convertor` | `getConvertor()`
`protected javax.swing.JFormattedTextField.AbstractFormatterFactory` | `getFormatterFactory()`
`java.lang.Object` | `getValueAt(int attrIndex)` Fetches the text contained in the associated control.
`protected void` | `registerVerifier(javax.swing.JFormattedTextField ftf)`
`void` | `setControl(java.lang.Object control)` Bind this binding to a control.
`protected void` | `setConvertor(oracle.jbo.uicli.jui.JUFormattedTextFieldBinding.Convertor c)`
`protected void` | `setFormatterFactory(javax.swing.JFormattedTextField.AbstractFormatterFactory f)`
`void` | `setValueAt(java.lang.Object value, int attrIndex)` Sets the given String representation of value (using value.toString()) into the associated text control.

Methods inherited from class oracle.jbo.uicli.jui.JUTextFieldBinding
`actionPerformed, addControlToPanel, addDocumentListener, addUndoableEditListener, createAttributeBinding, createPosition, getControlModel, getDefaultRootElement, getEndPosition, getInstance, getLength, getModelImpl, getProperty, getRootElements, getStartPosition, getText, getText, insertString, isControlQueriable, putProperty, release, remove, removeDocumentListener, removeUndoableEditListener, render, setDataValueAt`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlAttrsBinding
`createAttributeBinding, refreshControl, setControlEnabled, toString, updateNavigated, updateRangeScrolled, updateValuesFromRow, updateValuesFromRows`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`compareAndSetAttribute, displayInShortForm, ensureVariableManager, findAttributeDef, getAttribute, getAttribute, getAttribute, getAttributeCount, getAttributeDef, getAttributeDef, getAttributeDefs, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeIndexOf, getAttributeNames, getAttributes, getAttributes, getAttributeUIHelper, getAttributeValidators, getAttributeValidators, getAttributeValue, getAttributeValue, getAttributeValueFromRow, getAttributeValues, getAttributeValues, getControlType, getDisplayHeight, getDisplayHint, getDisplayWidth, getError, getErrors, getFormat, getFormats, getHint, getHint, getInputErrorsForRowKey, getInputValue, getInputValue, getInputValueHandler, getInputValueInRow, getLabel, getLabel, getLabels, getLabelSet, getLocaleContext, getMergedAttributeValues, getNullValueString, getPath, getTooltip, getTooltip, hasFormatInformation, hasVariables, initResources, internalGet, internalGetRow, internalHasPermission, isArrayIteratorType, isAttributeMandatory, isAttributeUpdateable, isAttributeUpdateable, isMandatory, isNewInputValue, isUpdateable, lookupAttributeDef, processInputException, processNewInputValue, put, resetInputState, resolvePath, setArrayIteratorType, setAttribute, setAttribute, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeValue, setError, setInputValue, setInputValue, setInputValueHandler, setInputValueInRow, setNullValueString, stopEditing, updateRowDeleted, updateRowInserted, validateInputValue`

Methods inherited from class oracle.jbo.uicli.binding.JUControlBinding
`getCurrentRow, getFormBinding, getIteratorBinding, reportException, setFormBinding`

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, executeQueryIfNeeded, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getDCIteratorBinding, getDef, getDefFullName, getDefName, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, internalHasPermission, internalSetName, needsEstimatedRowCount, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, setBindingContainer, setListener, setListener, setName`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.adf.model.AttributeBinding
`getErrors, getInputValue, getLabel, isUpdateable, processNewInputValue, setInputValue, validateInputValue`

Methods inherited from interface oracle.adf.model.ControlBinding
`setListener`

Methods inherited from interface oracle.binding.ControlBinding
`getName, getPath, resolvePath, setListener`

Methods inherited from interface oracle.jbo.StructureDef
`getDefFullName, getDefName, getFullName, getName`

Constructor Detail

### JUFormattedTextFieldBinding

    public JUFormattedTextFieldBinding(javax.swing.JFormattedTextField control,
                                       JUIteratorBinding iterBinding,
                                       javax.swing.JFormattedTextField.AbstractFormatterFactory formatterFactory,
                                       java.lang.String attrName)

  Creates an instance of this binding object that binds a swing JFormattedTextField with an attribute for rows in a given Iterator binding.
Parameters:
  `control` - JFormattedTextField control which should be bound to an attribute of a BC4J row.
  `iterBinding` - JUIteratorBinding object that contains a reference to the RowIterator that contains Rows to display.
  `attrName` - Name of the attribute in the BC4J Row object to display.
  `formatterFactory` - Factory object to create AbstractFormatter

### JUFormattedTextFieldBinding

    public JUFormattedTextFieldBinding(javax.swing.JFormattedTextField control,
                                       JUIteratorBinding iterBinding,
                                       javax.swing.text.MaskFormatter maskFormatter,
                                       java.lang.String attrName)

### JUFormattedTextFieldBinding

    public JUFormattedTextFieldBinding(javax.swing.JFormattedTextField control,
                                       JUIteratorBinding iterBinding,
                                       javax.swing.text.DefaultFormatter defaultFormatter,
                                       java.lang.String attrName)

### JUFormattedTextFieldBinding

    public JUFormattedTextFieldBinding(javax.swing.JFormattedTextField control,
                                       JUIteratorBinding iterBinding,
                                       javax.swing.text.DateFormatter dateFormatter,
                                       java.lang.String attrName)

### JUFormattedTextFieldBinding

    public JUFormattedTextFieldBinding(javax.swing.JFormattedTextField control,
                                       JUIteratorBinding iterBinding,
                                       javax.swing.JFormattedTextField.AbstractFormatterFactory formatterFactory,
                                       java.lang.String attrName,
                                       oracle.jbo.uicli.jui.JUFormattedTextFieldBinding.Convertor c)

Method Detail

### setConvertor

    protected void setConvertor(oracle.jbo.uicli.jui.JUFormattedTextFieldBinding.Convertor c)

### getConvertor

    protected oracle.jbo.uicli.jui.JUFormattedTextFieldBinding.Convertor getConvertor()

### setFormatterFactory

    protected void setFormatterFactory(javax.swing.JFormattedTextField.AbstractFormatterFactory f)

### getFormatterFactory

    protected javax.swing.JFormattedTextField.AbstractFormatterFactory getFormatterFactory()

### registerVerifier

    protected void registerVerifier(javax.swing.JFormattedTextField ftf)

### getValueAt

    public java.lang.Object getValueAt(int attrIndex)

  Fetches the text contained in the associated control. This method is used by the framework to get the current value associated with this binding to update into the associated attribute of a BC4J Row. This method calls the JTextComponent.getText() to get the value.
  Overrides:
    `getValueAt` in class `JUTextFieldBinding`
  Parameters:
    `attrIndex` - ignored for this control binding.
  See Also:
    `JTextComponent.getText()`

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int attrIndex)

  Sets the given String representation of value (using value.toString()) into the associated text control. Calls JTextComponent.setText() to set the value. If the value is null, sets "" (an empty string) into the text control.
  Overrides:
    `setValueAt` in class `JUTextFieldBinding`
  Parameters:
    `value` - The value to display in the associated text control.
    `attrIndex` - Ignored for this control binding.
  See Also:
    `JTextComponent.setText(String)`

### createAttributeBinding

    public static javax.swing.text.Document createAttributeBinding(JUFormBinding formBinding,
                                                                   javax.swing.JFormattedTextField control,
                                                                   javax.swing.text.MaskFormatter maskFormatter,
                                                                   java.lang.String voInstanceName,
                                                                   java.lang.String voIterName,
                                                                   java.lang.String voIterBindingName,
                                                                   java.lang.String attrName)

### createAttributeBinding

    public static javax.swing.text.Document createAttributeBinding(JUFormBinding formBinding,
                                                                   javax.swing.JFormattedTextField control,
                                                                   javax.swing.text.NumberFormatter numberFormatter,
                                                                   java.lang.String voInstanceName,
                                                                   java.lang.String voIterName,
                                                                   java.lang.String voIterBindingName,
                                                                   java.lang.String attrName)

### createAttributeBinding

    public static javax.swing.text.Document createAttributeBinding(JUFormBinding formBinding,
                                                                   javax.swing.JFormattedTextField control,
                                                                   javax.swing.text.DateFormatter dateFormatter,
                                                                   java.lang.String voInstanceName,
                                                                   java.lang.String voIterName,
                                                                   java.lang.String voIterBindingName,
                                                                   java.lang.String attrName)

### createAttributeBinding

    public static javax.swing.text.Document createAttributeBinding(JUFormBinding formBinding,
                                                                   javax.swing.JFormattedTextField control,
                                                                   javax.swing.JFormattedTextField.AbstractFormatter formatter,
                                                                   oracle.jbo.uicli.jui.JUFormattedTextFieldBinding.Convertor convertor,
                                                                   java.lang.String voInstanceName,
                                                                   java.lang.String voIterName,
                                                                   java.lang.String voIterBindingName,
                                                                   java.lang.String attrName)

### createAttributeBinding

    public static javax.swing.text.Document createAttributeBinding(JUFormBinding formBinding,
                                                                   javax.swing.JFormattedTextField control,
                                                                   javax.swing.JFormattedTextField.AbstractFormatter defaultFormatter,
                                                                   javax.swing.JFormattedTextField.AbstractFormatter displayFormatter,
                                                                   javax.swing.JFormattedTextField.AbstractFormatter editFormatter,
                                                                   javax.swing.JFormattedTextField.AbstractFormatter nullFormatter,
                                                                   java.lang.String voInstanceName,
                                                                   java.lang.String voIterName,
                                                                   java.lang.String voIterBindingName,
                                                                   java.lang.String attrName)

### createAttributeBinding

    public static javax.swing.text.Document createAttributeBinding(JUFormBinding formBinding,
                                                                   javax.swing.JFormattedTextField control,
                                                                   javax.swing.JFormattedTextField.AbstractFormatterFactory formatterFactory,
                                                                   java.lang.String voInstanceName,
                                                                   java.lang.String voIterName,
                                                                   java.lang.String voIterBindingName,
                                                                   java.lang.String attrName)

### createAttributeBinding

    public static javax.swing.text.Document createAttributeBinding(JUFormBinding formBinding,
                                                                   javax.swing.JFormattedTextField control,
                                                                   javax.swing.JFormattedTextField.AbstractFormatterFactory formatterFactory,
                                                                   oracle.jbo.uicli.jui.JUFormattedTextFieldBinding.Convertor convertor,
                                                                   java.lang.String voInstanceName,
                                                                   java.lang.String voIterName,
                                                                   java.lang.String voIterBindingName,
                                                                   java.lang.String attrName)

  This method is used by the JDeveloper designtime wizards for binding a text component with an attribute of rows of a ViewObject/RowIterator. This method calls JUFormBinding.getRowIterBinding to get the iterator binding using the given parameters and then registers a new JUTextFieldBinding with the iterator binding object so as to display/edit the current row's attribute of the given name.
  Parameters:
    `formBinding` - The containing JUPanelBinding in which the given iterator binding would be found/created.
    `control` - The control instance to bind to a ViewObject's attribute.
    `voInstanceName` - Name of the instance of the ViewObject in a BC4J ApplicationModule.
    `voIterName` - Runtime instance name of the iterator in the ViewObject (optional).
    `voIterBindingName` - Instance name of the iterator binding that uniquely identifies an iterator binding object used to read/write data in this given JUPanelBinding instance.
    `attrName` - The name of the attribute of this ViewObject rows that contains data to display/edit in the associated text control.
  Returns:
    Document object bound to the given text control.

### setControl

    public void setControl(java.lang.Object control)

  Description copied from class: `JUTextFieldBinding`
  Bind this binding to a control.
  Overrides:
    `setControl` in class `JUTextFieldBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.